## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""
Container which contains the (student) payments objects.
"""
import grok
from grok import index
from zope.component.interfaces import IFactory
from waeup.sirp.students.interfaces import IStudentPayments, IStudentNavigation
from waeup.sirp.utils.helpers import attrs_to_fields

class StudentPayments(grok.Container):
    """This is a container for student payments.
    """
    grok.implements(IStudentPayments, IStudentNavigation)
    grok.provides(IStudentPayments)

    def __init__(self):
        super(StudentPayments, self).__init__()
        return

    def getStudent(self):
        return self.__parent__

StudentPayments = attrs_to_fields(StudentPayments)