# Test faculties
import tempfile
import shutil
import unittest
from zope.interface.verify import verifyObject, verifyClass
from waeup.sirp.university import Faculty
from waeup.sirp.university.interfaces import IFaculty

class FacultyTests(unittest.TestCase):

    def test_ifaces(self):
        # Make sure we implement the promised interfaces
        fac = Faculty()
        verifyClass(IFaculty, Faculty)
        verifyObject(IFaculty, fac)
        return

    def test_longtitle(self):
        # Make sure we get a longtitle
        fac = Faculty()
        self.assertEqual(fac.longtitle(),
                         u'Faculty of Unnamed Faculty (NA)')

    def test_longtitle_no_terms(self):
        # Make sure we get a longtitle also if no term for the title
        # prefix is available
        fac = Faculty()
        fac.title_prefix = 'Studio for' # Not a valid prefix
        self.assertEqual(fac.longtitle(),
                         u'Unnamed Faculty (NA)')
